package com.ftinc.si.assist.test.web;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class Sleep extends PageAction {
	//Action実行の本体
	protected void doCore(WebDriver drv, WebElement elm) {
		if (arg_map.containsKey("value") && refer_to != null) {
			Integer i = Integer.valueOf(getArg("value").toString());
			try {
				Thread.sleep(i * 1000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}

	//画面の準備ができるまで待つ。Actionごとに待ち方が異なる。
	protected WebElement waitUntil(WebDriver drv) {
		return null;
	}

}
